Bug 186649 - Touchpad does not survive suspend
Touchpad does not survive suspend
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2006-03-24 17:54 EST by Christoph Lorenz
Modified: 2008-01-19 23:37 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-01-19 23:37:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Christoph Lorenz 2006-03-24 17:54:48 EST
Description of problem:

After suspending my Acer TravelMate 291LCi and wakeing him up, the touchpad acts
weird (the mouse pointer jumps on the screen and acts, as it was clicked

Version-Release number of selected component (if applicable):

How reproducible:


Steps to Reproduce:
1. suspend
2. hit "power" button to wake up
3. use touchpad
Actual results:

mouse pointer jumps and acts, as if the buttons were pressed almost everywhere

Expected results:

normal behaviour of touchpad (should do, what the *user* wants)

Additional info:

dmesg tells:

ACPI Error (evevent-0312): No installed handler for fixed event [00000002]
PM: Finishing wakeup.
psmouse.c: GlidePoint at isa0060/serio4/input0 lost synchronization, throwing 1
bytes away.
psmouse.c: resync failed, issuing reconnect request
i8042: failed to resume active multiplexor, mouse won't work
input: PS/2 Generic Mouse as /class/input/input4
psmouse.c: Mouse at isa0060/serio4/input0 lost synchronization, throwing 2 bytes

I have no other mouse attached to the laptop, only the internal touchpad!
Comment 1 Phil Knirsch 2006-05-10 10:43:25 EDT
Thats clearly a kernel problem though.

Reassigning to kernel component.

Read ya, Phil
Comment 2 Dave Jones 2006-10-16 16:26:03 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 3 Jon Stanley 2008-01-19 23:37:44 EST
(this is a mass-close to kernel bugs in NEEDINFO state)

As indicated previously there has been no update on the progress of this bug
therefore I am closing it as INSUFFICIENT_DATA. Please re-open if the issue
still occurs for you and I will try to assist in its resolution. Thank you for
taking the time to report the initial bug.

If you believe that this bug was closed in error, please feel free to reopen
this bug.

Note You need to log in before you can comment on or make changes to this bug.